> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/bank-payment-run.md).

# Bank Payment Run

Zahlungsvorschlag

## POST /erp/bank/payment\_runs

> Erzeugt einen Zahlungsvorschlag-Job aus konkreten OP-IDs und/oder einer CUnit-Selektion

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.32.9"},"tags":[{"name":"BankPaymentRun","description":"Zahlungsvorschlag"}],"servers":[{"url":"http://10.102.24.100:32794/api","description":"Generated server url"}],"paths":{"/erp/bank/payment_runs":{"post":{"tags":["BankPaymentRun"],"description":"Erzeugt einen Zahlungsvorschlag-Job aus konkreten OP-IDs und/oder einer CUnit-Selektion","operationId":"createBankPaymentRun","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-BankPaymentRunBuildRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"erp-bank-BankPaymentRunBuildRequest":{"description":"Request zur Erstellung eines BankPaymentRun aus konkreten OP-IDs und/oder einer CUnit-Selektion","properties":{"runType":{"type":"string","description":"Art des Zahlungslaufs: Lastschrift (Debitoren) oder Überweisung (Kreditoren)","enum":["DIRECT_DEBIT","MONEY_TRANSFER"]},"openItemIdsToProcess":{"type":"array","description":"Konkrete IDs der OffenenPosten, die in den Run aufgenommen werden sollen","items":{"type":"integer","format":"int64","description":"Konkrete IDs der OffenenPosten, die in den Run aufgenommen werden sollen"}},"openItemIdsToIgnore":{"type":"array","description":"IDs der OffenenPosten, die ausgeschlossen werden sollen (greift sowohl auf direkte IDs als auch auf Selektions-Treffer)","items":{"type":"integer","format":"int64","description":"IDs der OffenenPosten, die ausgeschlossen werden sollen (greift sowohl auf direkte IDs als auch auf Selektions-Treffer)"}},"queryPredicate":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"},"variables":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariableSubstitutionList"},"paymentTemplateId":{"type":"integer","format":"int64","description":"Zahlungsvorlage"},"executionDateTime":{"type":"string","format":"date-time","description":"Manuell gesetzter Ausführungs-Zeitpunkt"},"bankAccountId":{"type":"integer","format":"int64","description":"ID des Bankkontos, dem der Vorschlag zugeordnet wird"}},"required":["bankAccountId"]},"common-cunit-QueryPresetPredicate":{"description":"Bedingungen zur Selektion von Lagerplätzen","properties":{"type":{"type":"string","description":"die Operation für diesen Filter","enum":["JUNCTION","FILTER"]},"operator":{"type":"string","description":"operator","enum":["AND","OR","EQUALS","NOT_EQUALS","LIKE","NOT_LIKE","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS","IN","NOT_IN","RANGE","NOT_RANGE","IS_NULL","IS_NOT_NULL","IS_NULL_OR_EQUALS","EXISTS","NOT_EXISTS"]},"children":{"type":"array","description":"(bei junction) child-definitionen","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"}},"property":{"type":"string","description":"filter property"},"values":{"type":"array","description":"filter werte","items":{"type":"string","description":"filter werte"}},"visible":{"type":"boolean","default":true,"description":"Sichtbarkeit bei Variablen"},"functions":{"type":"array","description":"Eine SQL-Funktion, die im Predicate angewendet wird","items":{"type":"string","description":"Eine SQL-Funktion, die im Predicate angewendet wird"}}},"required":["operator","type"]},"common-cunit-QueryPresetVariableSubstitutionList":{"description":"Werte von Variablen","properties":{"variableSubstitutions":{"type":"array","description":"Die Variablenbelegungen","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariableSubstitution"}}}},"common-cunit-QueryPresetVariableSubstitution":{"description":"Die Variablenbelegungen","properties":{"variable":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariable"},"values":{"type":"array","description":"Die einzusetzenden Werte","items":{"type":"string","description":"Die einzusetzenden Werte"}}}},"common-cunit-QueryPresetVariable":{"description":"Die zu ersetzende Variable","properties":{"path":{"type":"string","description":"Der pfad, der dieses Attribut eindeutig beschreibt"},"definition":{"oneOf":[{"$ref":"#/components/schemas/core-cunit-CuAttribute"},{"$ref":"#/components/schemas/core-cunit-CuMeta"}],"readOnly":true},"mandatory":{"type":"boolean","description":"Ob die Variable ein Pflichtfeld ist oder nicht"},"variableName":{"type":"string","description":"Name der Variablen"},"visible":{"type":"boolean","default":true,"description":"Handelt es sich um eine sichtbare Variable?"},"alignX":{"type":"integer","format":"int32","description":"Anordnung im UI - X-Koordinate"},"alignY":{"type":"integer","format":"int32","description":"Anordnung im UI - Y-Koordinate"},"alignWidth":{"type":"integer","format":"int32","description":"Anordnung im UI - Breite"},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"allowDialogMultipleChoice":{"type":"boolean","default":false,"description":"Kann eine Mehrfachauswahl erfolgen?"}}},"core-cunit-CuAttribute":{"allOf":[{"$ref":"#/components/schemas/core-cunit-MetaContent"},{"type":"object","properties":{"key":{"type":"string","description":"Eindeutiger Schlüssel zur Identifikation des Attributs"},"attribute":{"type":"string","description":"name des attributes der das ergebnis enthält"},"path":{"type":"string","description":"der pfad, der dieses attribut eindeutig beschreibt"},"displayName":{"type":"string","description":"der Name dieses Feldes"},"displayNameOverride":{"type":"boolean","default":false,"description":"der Name dieses Feldes wurde überschrieben (alias oder funktion)"},"groupDisplayName":{"type":"string","description":"der Name der Gruppe, dieses Feldes"},"parentDisplayName":{"type":"string","description":"der Name des Referenzierenden Feldes"},"resultable":{"type":"boolean","default":true,"description":"kann dieses Feld ein Ergebnisfeld sein"},"filterable":{"type":"boolean","default":true,"description":"kann nach diesem feld gefiltert werden"},"sortable":{"type":"boolean","default":true,"description":"ist dieses Feld sortierbar"},"visible":{"type":"boolean","default":true,"description":"soll dieses Feld angezeigt werden"},"functions":{"type":"array","description":"angewendete funktionen (wenn das als Result MetaData verwendet wird)","items":{"type":"string","description":"angewendete funktionen (wenn das als Result MetaData verwendet wird)"}},"sortDirection":{"type":"string","description":"Info, wie diese spalte sortiert worden ist"},"constraint":{"$ref":"#/components/schemas/core-cunit-CuAttributeConstraint"},"dataType":{"$ref":"#/components/schemas/core-cunit-CuAttributeDataType"},"dataTypeIdentifier":{"type":"string","description":"data-type-identifier für dieses Attribut (falls dataType leer ist)","readOnly":true},"modelType":{"type":"string","description":"Attribut gehört zum Modelltyp 'statisch' oder 'dynamisch'","enum":["STATIC","DYNAMIC"],"readOnly":true},"entityIdentifier":{"type":"string","description":"Identifier der Entity, zu der dieses Attribut gehört (z.B. 'AccountEntity')","readOnly":true},"referencedEntityIdentifier":{"type":"string","description":"Bei Relation-Attributen: vollqualifizierter Klassenname der Ziel-Entity (z.B. 'ag.vario.erp.account.AccountEntity')","readOnly":true},"headers":{"type":"array","description":"bei einem gruppierten Header (e.g. CrossTable) werden hier die einzelnen gruppen beschrieben","items":{"$ref":"#/components/schemas/core-cunit-CuAttribute.HeaderGroup"},"readOnly":true}}}]},"core-cunit-MetaContent":{"description":"Definition dieser Variable","discriminator":{"propertyName":"_type"},"oneOf":[{"$ref":"#/components/schemas/core-cunit-CuMeta"},{"$ref":"#/components/schemas/core-cunit-CuAttribute"}],"properties":{"_type":{"type":"string"}},"required":["_type"]},"core-cunit-CuMeta":{"allOf":[{"$ref":"#/components/schemas/core-cunit-MetaContent"},{"type":"object","properties":{"definition":{"$ref":"#/components/schemas/core-cunit-CuAttribute"},"value":{"type":"array","description":"spaltenbeschreibung dieser zelle (bei verschachtelung)","items":{"oneOf":[{"$ref":"#/components/schemas/core-cunit-CuAttribute"},{"$ref":"#/components/schemas/core-cunit-CuMeta"}]}}}},{"type":"object","properties":{"definition":{"$ref":"#/components/schemas/core-cunit-CuAttribute"}}}]},"core-cunit-CuAttributeConstraint":{"description":"constraints für dieses Attribut","properties":{"minLength":{"type":"integer","format":"int32","description":"Minimal-Länge (von Zeichenketten oder Arrays)","readOnly":true},"maxLength":{"type":"integer","format":"int32","description":"Maximal-Länge (von Zeichenketten oder Arrays)","readOnly":true},"minValue":{"type":"integer","format":"int64","description":"minimaler Wert","readOnly":true},"includeMinValue":{"type":"boolean","description":"ist der minimale Wert inklusive?","readOnly":true},"maxValue":{"type":"integer","format":"int64","description":"maximaler Wert","readOnly":true},"includeMaxValue":{"type":"boolean","description":"ist der maximale Wert inklusive?","readOnly":true},"notNull":{"type":"boolean","default":false,"description":"ist der Wert 'null' verboten?","readOnly":true},"notBlank":{"type":"boolean","description":"Bei Strings: ist ein String nur aus Whitespace verboten?","readOnly":true},"digitsFraction":{"type":"integer","format":"int32","description":"Maximale Anzahl Nachkommastellen","readOnly":true}}},"core-cunit-CuAttributeDataType":{"description":"data-type für dieses Attribut (falls dataTypeIdentifier leer ist)","properties":{"identifier":{"type":"string","description":"Datentyp-identifier","readOnly":true},"jsType":{"type":"string","description":"welcher Typ ist es","readOnly":true},"objectRefIdentifier":{"type":"string","description":"bei Object_Ref: welcher Typ ist es genau","readOnly":true},"filterOptions":{"$ref":"#/components/schemas/core-cunit-CuAttributeFilterOptions"},"functions":{"type":"array","description":"welche Funktionen sind erlaubt?","items":{"type":"string","description":"welche Funktionen sind erlaubt?"},"readOnly":true},"predicateOperations":{"type":"array","description":"welche Operations sind erlaubt?","items":{"type":"string","description":"welche Operations sind erlaubt?","enum":["AND","OR","EQUALS","NOT_EQUALS","LIKE","NOT_LIKE","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS","IN","NOT_IN","RANGE","NOT_RANGE","IS_NULL","IS_NOT_NULL","IS_NULL_OR_EQUALS","EXISTS","NOT_EXISTS"]},"readOnly":true}}},"core-cunit-CuAttributeFilterOptions":{"description":"CUnit Attribut Filter Optionen","properties":{"filterValues":{"type":"array","description":"Mögliche Filterwerte","items":{"type":"string","description":"Mögliche Filterwerte"}},"filterDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"multipleChoice":{"type":"boolean","default":false,"description":"Kann eine Mehrfachauswahl erfolgen?"}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"},"core-cunit-CuAttribute.HeaderGroup":{"description":"bei einem gruppierten Header (e.g. CrossTable) werden hier die einzelnen gruppen beschrieben","properties":{"displayName":{"type":"string","description":"der Name dieses Feldes"},"displayNameOverride":{"type":"boolean","default":false,"description":"der Name dieses Feldes wurde überschrieben (alias oder funktion)"},"dataType":{"$ref":"#/components/schemas/core-cunit-CuAttributeDataType"},"dataTypeIdentifier":{"type":"string","description":"data-type-identifier für dieses Attribut (falls dataType leer ist)","readOnly":true},"groupDisplayName":{"type":"string","description":"der Name der Gruppe, dieses Feldes"},"data":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## POST /erp/bank/payment\_runs/{runId}/process

> Verarbeitet den Zahlungsvorschlag — schaltet alle nicht-ERRONEOUS Sammler für den Versand frei

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.32.9"},"tags":[{"name":"BankPaymentRun","description":"Zahlungsvorschlag"}],"servers":[{"url":"http://10.102.24.100:32794/api","description":"Generated server url"}],"paths":{"/erp/bank/payment_runs/{runId}/process":{"post":{"tags":["BankPaymentRun"],"description":"Verarbeitet den Zahlungsvorschlag — schaltet alle nicht-ERRONEOUS Sammler für den Versand frei","operationId":"processBankPaymentRun","parameters":[{"name":"runId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-finance-PaymentCreationResponse"}}}}}}}},"components":{"schemas":{"erp-finance-PaymentCreationResponse":{"properties":{"openItemCount":{"type":"integer","format":"int32","description":"Anzahl der Offenen Posten"},"totalAmount":{"type":"number","description":"Gesamtbetrag der Offenen Posten"},"responseDetails":{"type":"array","description":"Erzeugte Zahlungen","items":{"$ref":"#/components/schemas/erp-finance-PaymentCreationResponseDetail"}}}},"erp-finance-PaymentCreationResponseDetail":{"properties":{"payment":{"$ref":"#/components/schemas/erp-bank-BankPayment"},"messages":{"type":"array","description":"Meldungen","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"}}}},"erp-bank-BankPayment":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"type":{"type":"string","description":"payment type","enum":["MONEY_TRANSFER","REALTIME_MONEY_TRANSFER","SEPA_CORE_DIRECT_DEBIT","SEPA_B2B_DIRECT_DEBIT","CLEARING","CLEARING_WITH_PREDECESSOR_DOCUMENT","OTHER"]},"status":{"type":"string","description":"payment status","enum":["READY_FOR_SUBMISSION","PREPARED","SENT","CANCELLED","UNKNOWN","ERRONEOUS"],"readOnly":true},"batchBookingPreferred":{"type":"boolean","description":"batch booked preferred"},"directDebitSequenceType":{"type":"string","description":"direct debit sequence type","enum":["OOFF","FRST","RCUR","FNAL"]},"executionDateTime":{"type":"string","format":"date-time","description":"execution date and time"},"requestDate":{"type":"string","format":"date-time","description":"request date","readOnly":true},"endToEndId":{"type":"string","description":"End-To-End-Id: Kann von Apps verwendet werden"},"records":{"type":"array","description":"payment records","items":{"$ref":"#/components/schemas/erp-bank-BankPaymentRecord"}}},"required":["accountRef","type"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Übergeordnete Kategorie","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"erp-bank-BankPaymentRecord":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"paymentId":{"type":"integer","format":"int64","description":"id of the payment"},"name":{"type":"string","description":"counterpart name"},"iban":{"type":"string","description":"counterpart IBAN"},"bic":{"type":"string","description":"counterpart BIC"},"amount":{"type":"number","description":"payment/debit amount"},"purpose":{"type":"string","description":"purpose"},"purposeCode":{"type":"string","description":"purpose code"},"mandateReference":{"type":"string","description":"mandate reference number (for direct debit)"},"mandateDate":{"type":"string","format":"date","description":"mandate date (for direct debit)"},"creditorId":{"type":"string","description":"creditor id (for direct debit)"},"address":{"type":"string","description":"address of counterpart (only for direct debit outside EU)"},"country":{"type":"string","description":"country code of counterpart (only for direct debit outside EU)"},"comment":{"type":"string","description":"Änderungsgrund"},"openItem":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"messages":{"type":"array","description":"Validierungsmeldungen für diesen Datensatz (read-only)","items":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"readOnly":true}},"required":["amount","name","purpose"]},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true}}}}
```

## POST /erp/bank/payment\_runs/{runId}/dissolve

> Storniert den Zahlungsvorschlag

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.32.9"},"tags":[{"name":"BankPaymentRun","description":"Zahlungsvorschlag"}],"servers":[{"url":"http://10.102.24.100:32794/api","description":"Generated server url"}],"paths":{"/erp/bank/payment_runs/{runId}/dissolve":{"post":{"tags":["BankPaymentRun"],"description":"Storniert den Zahlungsvorschlag","operationId":"dissolveBankPaymentRun","parameters":[{"name":"runId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## GET /erp/bank/payment\_runs/{id}

> Find an existing Resource by identifier

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.32.9"},"tags":[{"name":"BankPaymentRun","description":"Zahlungsvorschlag"}],"servers":[{"url":"http://10.102.24.100:32794/api","description":"Generated server url"}],"paths":{"/erp/bank/payment_runs/{id}":{"get":{"tags":["BankPaymentRun"],"summary":"Find an existing Resource by identifier","operationId":"getById_78","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-bank-BankPaymentRun"}}}},"404":{"description":"Resource with given ID was not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-bank-BankPaymentRun":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Beschreibung des Vorschlags"},"number":{"type":"string","description":"Vorschlags-Nummer"},"manualExecutionDateTime":{"type":"string","format":"date-time","description":"Manuell gesetzter Ausführungs-Zeitpunkt"},"processed":{"type":"boolean","description":"Wurde dieser Vorschlag verarbeitet","readOnly":true},"canceled":{"type":"boolean","description":"Wurde dieser Vorschlag storniert","readOnly":true},"processedAt":{"type":"string","format":"date-time","description":"Verbuchungsdatum","readOnly":true},"bankAccount":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Übergeordnete Kategorie","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.vario-software.de/api-reference/bank-payment-run.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
